# $Revision: 1.42 $, $Date: 2012/02/12 08:57:21 $
#
# TODO:
# - what to do with the .NET thingy?
# - fix Makefile to accept rpm*flags as options
#
Summary:	Irrlicht - high performance realtime 3D engine
Summary(pl.UTF-8):	Irrlicht - wysoko wydajny silnik 3D czasu rzeczywistego
Name:		irrlicht
Version:	1.7.2
Release:	6
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/irrlicht/%{name}-%{version}.zip
# Source0-md5:	eb627d4c432bf73f12bc6d9ddc700b07
Patch0:		%{name}-glXGetProcAddress.patch
Patch1:		%{name}-system-libs.patch
Patch2:		%{name}-libpng14.patch
Patch3:		%{name}-libpng15.patch
URL:		http://irrlicht.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	bzip2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Irrlicht Engine is an open source high performance realtime 3D
engine written and usable in C++ and also available for .NET
languages. It is completely cross-platform, using D3D, OpenGL and its
own software renderer, and has all of the state-of-the-art features
which can be found in commercial 3D engines.

%description -l pl.UTF-8
Silnik Irrlicht to wysoko wydajny silnik 3D czasu rzeczywistego o
otwartych źródłach. Napisany i używany w języku C++, dostępny także
dla języków .NET. Jest w pełni przenośny między platformami, używa
D3D, OpenGL oraz własnego oprogramowania renderującego, oraz zawiera
wszystkie cechy komercyjnych silników 3D.

%package devel
Summary:	Header files for Irrlicht library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Irrlicht
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This is the package containing the header files for Irrlicht library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Irrlicht.

%package static
Summary:	Static Irrlicht library
Summary(pl.UTF-8):	Statyczna biblioteka Irrlicht
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Irrlicht library.

%description static -l pl.UTF-8
Statyczna biblioteka Irrlicht

%package examples
Summary:	Examples for Irrlicht library for programmers
Summary(pl.UTF-8):	Przykłady użycia biblioteki Irrlicht dla programistów
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This is the package containing examples for Irrlicht library.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykłady użycia biblioteki Irrlicht.

%prep
%setup -q

%undos include/IrrCompileConfig.h
%undos source/Irrlicht/{Makefile,CImageLoaderPNG.cpp,CImageWriterPNG.cpp}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} -C source/Irrlicht \
	CXX="%{__cxx}" \
	CXXINCS="-I../../include %{rpmcppflags}" \
	CFLAGS="%{rpmcflags}   -DGLX_GLXEXT_LEGACY" \
	CXXFLAGS="%{rpmcflags} -DGLX_GLXEXT_LEGACY \$(CXXINCS) -DIRRLICHT_EXPORTS=1" \
	LDFLAGS="%{rpmldflags} -lz -lpng -ljpeg -lbz2 -lX11 -lXxf86vm -lGL"
%{__make} -C source/Irrlicht clean
%{__make} -C source/Irrlicht sharedlib \
	CXX="%{__cxx}" \
	CXXINCS="-I../../include %{rpmcppflags}" \
	CFLAGS="%{rpmcflags} -fPIC   -DGLX_GLXEXT_LEGACY" \
	CXXFLAGS="%{rpmcflags} -fPIC -DGLX_GLXEXT_LEGACY \$(CXXINCS) -DIRRLICHT_EXPORTS=1" \
	LDFLAGS="%{rpmldflags} -lz -lpng -ljpeg -lbz2 -lX11 -lXxf86vm -lGL"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_examplesdir}/%{name}-%{version}}

install lib/Linux/libIrrlicht.* $RPM_BUILD_ROOT%{_libdir}
ln -s $(basename lib/Linux/libIrrlicht.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libIrrlicht.so
ln -s $(basename lib/Linux/libIrrlicht.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libIrrlicht.so.1
cp -r include  $RPM_BUILD_ROOT%{_includedir}/irrlicht
ln -s irrlicht $RPM_BUILD_ROOT%{_includedir}/Irrlicht
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc changes.txt readme.txt doc
%attr(755,root,root) %{_libdir}/libIrrlicht.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIrrlicht.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIrrlicht.so
%{_includedir}/irrlicht
%{_includedir}/Irrlicht

%files static
%defattr(644,root,root,755)
%{_libdir}/libIrrlicht.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irrlicht.spec,v $
Revision 1.42  2012/02/12 08:57:21  adamg
- undos cimagewriterpng.cpp

Revision 1.41  2012/02/12 08:51:16  adamg
- release 6 (rebuild against libpng-1.5)

Revision 1.40  2012/02/12 08:17:05  arekm
- release 5

Revision 1.39  2012/02/12 08:11:13  arekm
- release 4

Revision 1.38  2012/02/07 22:03:09  arekm
- release 3

Revision 1.37  2011/12/20 19:37:05  arekm
- release 2

Revision 1.36  2011/02/05 01:16:49  sparky
- marked pl description as UTF-8

Revision 1.35  2011/02/05 01:04:08  sparky
- marked pl summary as UTF-8

Revision 1.34  2011/01/28 13:46:04  sparky
- adapter: fixed broken cvs keywords

Revision 1.33  2010/11/16 08:15:06  lisu
- up to 1.7.2
- use %%undos macro instead of dos2unix

Revision 1.32  2010/02/18 08:47:25  lisu
- up to 1.7.1

Revision 1.31  2010/02/05 14:17:25  lisu
- add libpng14.patch
- rel 2

Revision 1.30  2010/02/04 16:26:39  sparky
- force using system zlib, libpng and libjpeg
- link with libs requires, no more missing symbols
- BR: OpenGL-devel instead of OpenGL-GLU-devel

Revision 1.29  2010/02/04 09:27:18  lisu
- BR: bzip2-devel

Revision 1.28  2010/02/04 09:24:41  lisu
- up to 1.7
- adapter

Revision 1.27  2010/01/19 14:26:44  lisu
- updated to 1.6.1
- -sparc.patch is now obselete

Revision 1.26  2009/10/05 14:56:59  lisu
- convert one more file using dos2unix

Revision 1.25  2009/10/05 14:54:49  lisu
- use dos2unix to avoid problems when patching

Revision 1.24  2009/10/05 14:33:11  lisu
- up to 1.6
- patches updated

Revision 1.23  2009/08/05 14:47:42  lisu
- up to 1.5.1
- using dos2unix is no longer needed
- update patches

Revision 1.22  2009/07/14 06:36:56  arekm
- fix applying patches

Revision 1.21  2009/07/12 13:15:33  arekm
- release 2

Revision 1.20  2008/12/16 08:30:39  lisu
- up to 1.5
- patches updated

Revision 1.19  2008/11/21 12:43:12  lisu
- up to 1.4.2

Revision 1.18  2008/06/12 14:58:20  lisu
- 1.4.1
- STBR

Revision 1.17  2008-02-18 20:52:47  tommat
- added sparc patch

Revision 1.16  2007-12-26 15:41:05  qboosh
- updated system-libs patch to fix lib linking

Revision 1.15  2007-12-03 07:21:14  qboosh
- create soname symlink

Revision 1.14  2007-12-03 07:14:44  qboosh
- missing patches merge from DEVEL
- fixed .so symlink, added soname symlink as ghost
- restored 1.12 changelog entry

Revision 1.13  2007-12-02 23:11:11  lisu
- up to 1.4 final

Revision 1.12  2007-10-19 22:38:25  arvenil
- release 1

Revision 1.11.2.1  2007-10-04 18:20:02  lisu
- up to 1.4beta

Revision 1.11  2007/07/20 20:56:32  lisu
- 1.3.1
- gcc4.patch is obsolete
- cosmetics

Revision 1.10  2007/05/27 21:09:19  qboosh
- updated gcc4 patch, release 0.4

Revision 1.9  2007/05/27 19:23:02  qboosh
- added gcc4,system-libs patches
- use system zlib/libpng/libjpeg, switched to modular xorg, added more BRs
- standard base/-devel/-static split
- release 0.3

Revision 1.8  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.6  2006/03/16 19:56:55  qboosh
- desc cleanups

Revision 1.5  2006/03/15 14:36:00  radek
- ln -s irrlicht %_includedir/Irrlicht (not unified in external sources)

Revision 1.4  2006/03/15 12:47:02  radek
- release 0.2: added -glXGetProcAddress.patch and -DIRRLICHT_EXPORTS=1
  as workaround for the glXGetProcAddress{,ARB} issue on nvidia (proper?)

Revision 1.3  2006/03/15 11:40:32  radek
- minor tweaks, more TODOs

Revision 1.2  2006/03/15 09:40:58  spider
- pl
- some adapters

Revision 1.1  2006/03/15 01:11:00  radek
- new, builds, maybe works
